local world_path = minetest.get_worldpath()
local settings = Settings(world_path.."/assets_warehouse.conf")


model_detail = settings:get("assets_warehouse_model_quality") or 2
texture_detail = settings:get("assets_warehouse_texture_quality") or 2
local idioma = settings:get("assets_warehouse_idioma") or "espanol"

local peppert_and_carrot_water_tree_guardian_armor_descripcion = "Armor of the water tree guardian,a pair of boots maybe result more usefull"
local peppert_and_carrot_water_water_tree_guardian_gloves_descripcion = "Protection for the arms"
local peppert_and_carrot_water_witch_hat_descripcion = "Witch hat"
local peppert_and_carrot_coral_crown_descripcion = "For the cat of the fishes"
local peppert_and_carrot_cat_helmet_descripcion = "For the cat of the dentist"

if idioma == "espanol" then
    peppert_and_carrot_water_tree_guardian_armor_descripcion = "Armadura del guardian del arbol del agua,un par de botas tal vez sean mas utiles"
    peppert_and_carrot_water_water_tree_guardian_gloves_descripcion = "Proteccion para los brazos"
    peppert_and_carrot_water_witch_hat_descripcion = "Sombrero de bruja"
    peppert_and_carrot_coral_crown_descripcion = "Para el gato de los peces"
    peppert_and_carrot_cat_helmet_descripcion = "Para el gato de el dentista"

end

--assets_warehouse.cloth("assets_warehouse:peppert_and_carrot_water_tree_guardian_armor",{
--    mesh ='peppert_and_and_carrot_water_tree_guardian_armorMD'..model_detail..'.b3d',
--    texture = {'peppert_and_and_carrot_water_tree_guardian_armor.png'},
--    wield = "peppert_and_and_carrot_water_tree_guardian_armor_preview.png",
--    selectionbox ={-0.1,-0.5,-0.1,0.1,1.0,0.1},
--    collisionbox = {-0.1,-0.5,-0.1,0.1,1.0,0.1},
--    description = "",
--    cloth_type = "shirt",  
--})


--assets_warehouse.cloth("assets_warehouse:peppert_and_carrot_water_water_tree_guardian_gloves",{
--    mesh ='water_tree_guardian_gloves.b3d',
--    texture = {'water_tree_guardian_gloves.png'},
--    wield = "water_tree_guardian_gloves_preview.png",
--    selectionbox ={-0.1,-0.5,-0.1,0.1,1.0,0.1},
--    collisionbox = {-0.1,-0.5,-0.1,0.1,1.0,0.1},
--    description = peppert_and_carrot_water_water_tree_guardian_gloves_descripcion,
--    cloth_type = "gloves",
--})
if minetest.get_modpath("aw_personaje_anthro") then
    assets_warehousepart2.sombrero("peppert_and_carrot_water_witch_hat",{'peppert_and_carrot_peppert_hat.png'},'witch_hat.obj',peppert_and_carrot_water_witch_hat_descripcion,"witch_hat_preview.png")
    assets_warehousepart2.sombrero("peppert_and_carrot_coral_crown",{'peppert_and_carrot_coral_crown.png'},'peppert_and_carrot_coral_crownMD1.obj',peppert_and_carrot_coral_crown_descripcion,"peppert_and_carrot_coral_crownpreview.png")
    assets_warehousepart2.sombrero("peppert_and_carrot_cat_helmet",{'peppert_and_carrot_cat_helmet.png'},'peppert_and_carrot_cat_helmet.obj',peppert_and_carrot_cat_helmet_descripcion,"peppert_and_carrot_cat_helmetpreview.png")
end